Retail Express API 2.1

Updates Delivery Address

Sample request:

 PUT /customers/1/deliveryaddresses/2
 {
     "first_name": "John",
     "last_name": "Smith",
     "company": "Melbourne School",
     "address_line1": "1 Any Street",
     "address_line2": "2 Any Street",
     "suburb": "Melbourne",
     "state": "VIC",
     "postcode": "4000",
     "country": "Australia",
     "phone": "0458245689",
     "mobile": "0458245689",
     "default": false
 }
put
https://api.retailexpress.com.au/v2/customers/{id}/deliveryaddresses/{address_id}

Path Parameters

idinteger(int32)required

Customer id

Example:10000

address_idinteger(int32)required

Delivery Address id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Delivery Address model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Delivery Address

DeliveryAddress

Delivery Address model

* Additional properties are NOT allowed.
countrystring | null

Country

country_codestring | null

Country Code

statestring | null

State

suburbstring | null

Suburb

address_line1string | null

Address line 1

address_line2string | null

Address line 2

postcodestring | null

Post code

companystring | null

Company

mobilestring | null

Mobile phone

phonestring | null

Phone

first_namestring | null

First name

last_namestring | null

Last Name

idinteger(int32)

Identifier

defaultboolean | null

Is Default

modified_onstring(date-time)

Modified on

put/customers/{id}/deliveryaddresses/{address_id}

Body

{}
 
application/json

customersurveysegments

Searches Customer Survey Segments by parameters

Searches Customer Survey Segments by parameters

get
https://api.retailexpress.com.au/v2/customersurveysegments

Query Parameters

order_bystring | null

Order by.

Available field name values: id (default), active, name

Available direction values: asc, desc.

Example: name desc

filter_bystring | null

Filter by.

Available field name values: id, active, name

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:19

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Customer Survey Segments data

CustomerSegmentGroup.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer segment group model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customersurveysegments
 
application/json

Gets Customer Survey Segment by id

Gets Customer Survey Segment by id

get
https://api.retailexpress.com.au/v2/customersurveysegments/{id}

Path Parameters

idinteger(int32)required

Customer Survey Segment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Customer Survey Segment

CustomerSegmentGroup

Customer segment group model

* Additional properties are NOT allowed.
idinteger(int32)

Customer Segment Group Identifier

namestring | null

Name

activeboolean

Active status

optionsarray | null[object]

Customer segment option model

* Additional properties are NOT allowed.
Show Child Parameters
get/customersurveysegments/{id}
 
application/json

Searches Options by Customer Survey Segment id and other parameters

Searches Options by Customer Survey Segment id and other parameters

get
https://api.retailexpress.com.au/v2/customersurveysegments/{id}/options

Query Parameters

order_bystring | null

Order by

Available field name values: id (default), name

Available direction values: asc, desc

Example: name desc

filter_bystring | null

Filter by.

Available field name values: id, name

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:19

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Customer Survey Segment Id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Customer Survey Segment Options data

CustomerSegmentOption.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer segment option model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customersurveysegments/{id}/options
 
application/json